[Deprecated]: V1
get
/ec-dc-svc/rest/v1/studies/{studyId}/{mode}/subjecttransfers/dateRange/{subjectId}
Deprecated: Retrieves all the transfers for a subject that happened in a specific date range. Used by Integration Hub.
Rights: DataCaptureSubjectIntegrationGet and SubjectDataClassificationGet. API has been deprecated and moved to DIS (Data Integration Service), Path: /ec-dataintegration-svc/rest/v1.0/studies/{studyId}/{mode}/subjecttransfers/dateRange/{subjectId}
Rights: DataCaptureSubjectIntegrationGet and SubjectDataClassificationGet. API has been deprecated and moved to DIS (Data Integration Service), Path: /ec-dataintegration-svc/rest/v1.0/studies/{studyId}/{mode}/subjecttransfers/dateRange/{subjectId}
Request
Path Parameters
-
mode(required): string
Mode of the study, accepts: test, active, or training.Example:
test -
studyId(required): string
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.Example:
CDBBCCDDEEFF11223344556677889900 -
subjectId(required): string(uuid)
ID of the subject for whom you want to retrieve transfer details.
Query Parameters
-
endDate(required): string(date-time)
The ending date and time (optional) for which you want to get events. If you don't specify the time, the date range stops before midnight (23:59:59 UTC) for the specified date. The accepted date and time formats are: dd-MMM-yyyy HH:mm:ss.SSS, dd-MMM-yyyy HH:mm:ss, dd-MMM-yyyy HH:mm, or dd-MMM-yyyy.
-
startDate(required): string(date-time)
The starting date and time (optional) for which you want to get events. If you don't specify the time, the date range begins after midnight (UTC) for the specified date. The accepted date and time formats are: dd-MMM-yyyy HH:mm:ss.SSS, dd-MMM-yyyy HH:mm:ss, dd-MMM-yyyy HH:mm, or dd-MMM-yyyy.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Success
Root Schema : schema
Type:
Show Source
array-
Array of:
object SubjectTransfer
Represents a subject transfer between sites, including identifiers and audit metadata.
Nested Schema : SubjectTransfer
Type:
objectRepresents a subject transfer between sites, including identifiers and audit metadata.
Show Source
-
comment: string
Minimum Length:
0Maximum Length:2048Comment regarding the last change made to the entity.Example:Imported via migration tool. -
fromSiteId: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the clinical site the subject is transferred from.Example:
938D23FA6B7241CCA41BD627E5DB60DA -
id: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the subject transfer record.Example:
A1B2C3D4E5F64789AABBCCDDEEFF1122 -
newSubjectNumber: string
-
operationType: string
Minimum Length:
1Maximum Length:16Operation type on the record, can have values CREATED, MODIFIED or REMOVEDExample:REMOVED -
randomizationNumber: string
Randomization number associated with the subject, if assigned.Example:
RANDOM123 -
reason: string
Minimum Length:
0Maximum Length:255Reason for the entity creation or latest modification.Example:Initial import. -
subjectId: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the subject involved in the transfer.Example:
1BC29B36F5D64B1B95F4BDBBCEA481BE -
subjectNumber: string
Minimum Length:
0Maximum Length:500Subject number before transfer.Example:SUBJ-0001 -
toSiteId: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the clinical site the subject is transferred to.Example:
699EF3745FC545589F186D2198F3C65E -
versionStart: string
(date-time)
Timestamp representing the start of the version for this record.Example:
2023-01-01T09:00:00Z
Example:
{
"id":"A1B2C3D4E5F64789AABBCCDDEEFF1122",
"versionStart":"2023-01-01T09:00:00Z",
"subjectId":"1BC29B36F5D64B1B95F4BDBBCEA481BE",
"subjectNumber":"SUBJ-0001",
"newSubjectNumber":"SUBJ-0001-NEW",
"fromSiteId":"938D23FA6B7241CCA41BD627E5DB60DA",
"toSiteId":"699EF3745FC545589F186D2198F3C65E",
"randomizationNumber":"RANDOM123",
"reason":"Site change",
"comment":"Transferred due to site closure"
}400 Response
Bad request.
Nested Schema : result
Type:
objectNested Schema : details
Type:
object